Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
Botan::SQL_Database Class Referenceabstract

`#include <database.h>`

Inheritance diagram for Botan::SQL_Database:

## Classes
class | SQL_DB_Error
class | Statement

## Public Member Functions
virtual void | create_table (const std::string &table_schema)=0
virtual std::shared_ptr< Statement > | new_statement (const std::string &base_sql) const =0
virtual size_t | row_count (const std::string &table_name)=0
virtual | ~SQL_Database ()

## Detailed Description

Definition at line 19 of file database.h.

## Constructor & Destructor Documentation

virtual Botan::SQL_Database::~SQL_Database | ( |  | ) |
| inline virtual

Definition at line 67 of file database.h.

67 {}

## Member Function Documentation

virtual void Botan::SQL_Database::create_table | ( | const std::string & | table_schema | ) |
| pure virtual

Implemented in Botan::Sqlite3_Database.

virtual std::shared_ptr<Statement> Botan::SQL_Database::new_statement | ( | const std::string & | base_sql | ) | const
| pure virtual

Implemented in Botan::Sqlite3_Database.

virtual size_t Botan::SQL_Database::row_count | ( | const std::string & | table_name | ) |
| pure virtual

Implemented in Botan::Sqlite3_Database.

The documentation for this class was generated from the following file:

- src/lib/utils/database.h